__d(function(o,e,n,t){"use strict";n.exports="\n  #extension GL_OES_standard_derivatives : enable\n\n  precision highp float;\n  varying vec2 vTextureCoord;\n  uniform sampler2D sTexture0;\n  uniform sampler2D sTexture1;\n  uniform vec2 sTexture0_dim;\n  uniform float radius;\n  uniform float size;\n  uniform vec2 shadowWidth;\n  uniform float opacity;\n  uniform vec2 offset;\n\n  float smoothOutEdge(vec2 coord) {\n    vec2 dist = coord - vec2(0.5);\n    float pixel = fwidth(length(dist));\n    vec2 distToEdge = min(\n      coord,\n      1.0 - coord\n    );\n    return smoothstep(\n      0.0,\n      2.0 * pixel,\n      min(distToEdge.x, distToEdge.y)\n    );\n  }\n\n  vec4 colorWithDropShadow(vec4 inputColor, vec2 shadowWidth, vec2 coord) {\n    float distToLower = 0.5 - coord.y - shadowWidth.y;\n    float pixelLower = abs(dFdy(distToLower));\n    float isLowerShadow = smoothstep(\n      shadowWidth.y - pixelLower,\n      shadowWidth.y + pixelLower,\n      coord.y\n    );\n    float distToLeft = 0.5 - coord.x - shadowWidth.x;\n    float pixelLeft = abs(dFdx(distToLeft));\n    float isLeftShadow = smoothstep(\n      shadowWidth.x - pixelLeft,\n      shadowWidth.x + pixelLeft,\n      coord.x\n    );\n\n    vec4 color = mix(\n      vec4(vec3(0.0), 1.0) * 0.16,\n      inputColor,\n      isLowerShadow * isLeftShadow\n    );\n    color *= smoothOutEdge(coord);\n    return color;\n  }\n\n  void main() {\n    vec2 dist = vTextureCoord - vec2(0.5);\n    float pixel = fwidth(length(dist));\n\n    float frame = (1.0 - size) / 2.0;\n    vec2 distToEdge = min(\n      vTextureCoord - frame,\n      1.0 - frame - vTextureCoord\n    );\n    float isEdge = mix(\n      0.0,\n      mix(\n        // 1/4 circle\n        1.0 - smoothstep(\n          radius - pixel,\n          radius + pixel,\n          length(radius - distToEdge)\n        ),\n        1.0,\n        // corner\n        step(radius, max(distToEdge.x, distToEdge.y))\n      ),\n      // outer edge\n      smoothstep(\n        -pixel,\n        pixel,\n        min(distToEdge.x, distToEdge.y)\n      )\n    );\n\n    vec2 scale = sTexture0_dim / min(sTexture0_dim.x, sTexture0_dim.y);\n    vec2 coord = vTextureCoord / scale;\n    // coord += (1.0 - 1.0 / scale) / 2.0;\n    coord += offset;\n    vec4 color = texture2D(sTexture0, coord);\n    vec4 overlay = texture2D(sTexture1, vTextureCoord);\n    color = mix(\n      overlay,\n      color,\n      isEdge\n    );\n\n    gl_FragColor = colorWithDropShadow(color, shadowWidth, vTextureCoord);\n    gl_FragColor *= opacity;\n  }\n"},4557);