__d(function(e,n,r,o){"use strict";r.exports="\n  precision mediump float;\n  varying vec2 vTextureCoord;\n  uniform sampler2D sTexture0;\n  uniform sampler2D sTexture1;\n  uniform float progress;\n  uniform float xDir;\n  uniform float yDir;\n  const float dots = 20.0;\n\n  float distancePointToLine(vec2 pos, vec2 a, vec2 b) {\n    if (b.x == a.x) { // Vertical line\n      return abs(pos.x - a.x);\n    }\n\n    if (b.y == a.y) { // Horizontal line\n      return abs(pos.y - a.y);\n    }\n\n    float slope = (b.y - a.y) / (b.x - a.x);\n    float yIntercept = a.y - (slope * a.x);\n    float perpSlope = -1.0 / slope;\n    float perpYIntercept = pos.y - (perpSlope * pos.x);\n    float lineIntersectX = (yIntercept - perpYIntercept) / (perpSlope - slope);\n    float lineIntersectY = (slope * lineIntersectX) + yIntercept;\n\n    return sqrt(pow(lineIntersectY - pos.y, 2.0) + pow(lineIntersectX - pos.x, 2.0));;\n  }\n\n  // taking the cross product will tell if point is to the left of the line\n  // Note that the direction of b -> c matters\n  bool isLeft(vec2 a, vec2 b, vec2 c) {\n    return (b.x - a.x) * (c.y - a.y) > (b.y - a.y) * (c.x - a.x);\n  }\n\n  vec2 findCenter(vec2 p, float xDim, float yDim) {\n    float x = 0.0;\n    float xCeil = ceil((p.x * xDim * 2.0) - 1.0);\n    if (mod(xCeil, 2.0) == 1.0) {\n      x = xCeil / (xDim * 2.0);\n    } else {\n      x = (floor((p.x * xDim * 2.0) + 1.0)) / (xDim * 2.0);\n    }\n\n    float y = 0.0;\n    float yCeil = ceil((p.y * yDim * 2.0) - 1.0);\n    if (mod(yCeil, 2.0) == 1.0) {\n      y = yCeil / (yDim * 2.0);\n    } else {\n      y = (floor((p.y * yDim * 2.0) + 1.0)) / (yDim * 2.0);\n    }\n\n    return vec2(x, y);\n  }\n\n  vec2 getFrom(float progress, float x, float y) {\n    // up from bottom left\n    if (x == 1.0 && y == 1.0) {\n      return vec2(progress, progress);\n    }\n\n    // Down from top left\n    if (x == 1.0 && y == -1.0) {\n      return vec2(0, 1.0 - (2.0 * progress));\n    }\n\n    // up from bottom left\n    if (x == -1.0 && y == 1.0) {\n      return vec2(1.0 - progress, progress);\n    }\n\n    // Down from top right\n    if (x == -1.0 && y == -1.0) {\n      return vec2(0, 2.0 - (2.0 * progress));\n    }\n  }\n\n  vec2 getTo(float progress, float x, float y) {\n    // up from bottom left\n    if (x == 1.0 && y == 1.0) {\n      return vec2(0.0, progress * 2.0);\n    }\n\n    // Down from top left\n    if (x == 1.0 && y == -1.0) {\n      return vec2(progress, 1.0 - progress);\n    }\n\n    // up from bottom left\n    if (x == -1.0 && y == 1.0) {\n      return vec2(0, (2.0 * progress) - 1.0);\n    }\n\n    // Down from top right\n    if (x == -1.0 && y == -1.0) {\n      return vec2(1.0 - progress, 1.0 - progress);\n    }\n  }\n\n  void main() {\n    vec2 center = findCenter(vTextureCoord, 20.0, 20.0);\n    vec2 fromP = getFrom(progress, xDir, yDir);\n    vec2 toP = getTo(progress, xDir, yDir);\n\n    if (progress == 0.0) {\n      gl_FragColor = texture2D(sTexture0, vTextureCoord);\n    } else {\n      if (progress == 1.0) {\n        gl_FragColor = vec4(0,0,0,0);\n      } else {\n        if (isLeft(center, fromP, toP)){\n          gl_FragColor = vec4(0,0,0,0);\n        } else {\n          float dist = distancePointToLine(center, fromP, toP);\n\n          if (dist > 5.0/20.0) {\n            gl_FragColor = texture2D(sTexture0, vTextureCoord);\n          } else {\n            if (distance(vTextureCoord, center) < ((1.0 - dist/ (5.0/20.0)) * (sqrt(pow(1.0/40.0, 2.0) + pow(1.0/40.0, 2.0)))) ) {\n              gl_FragColor = vec4(0,0,0,0);\n            } else {\n              gl_FragColor = texture2D(sTexture0, vTextureCoord);\n            }\n          }\n        }\n      }\n    }\n  }\n"},4566);