__d(function(e,n,r,t){"use strict";r.exports="\n  precision mediump float;\n  varying vec2 vTextureCoord;\n  uniform sampler2D sTexture0; // base\n  uniform vec4 border_color;\n  uniform vec2 border_width;\n  uniform vec2 xAspect;\n  uniform vec2 yAspect;\n  uniform vec2 bl;\n  uniform vec2 br;\n  uniform vec2 tl;\n  uniform vec2 tr;\n\n  vec2 aspectCoordinate(vec2 p) {\n    return vec2(xAspect.x + p.x * (xAspect.y - xAspect.x), yAspect.x + p.y * (yAspect.y - yAspect.x));\n  }\n\n  float distancePointToLine(vec2 pos, vec2 a, vec2 b) {\n    if (b.x == a.x) {\n      return abs(pos.x - a.x);\n    }\n\n    if (b.y == a.y) {\n      return abs(pos.y - a.y);\n    }\n\n    float slope = (b.y - a.y) / (b.x - a.x);\n    float yIntercept = a.y - (slope * a.x);\n    float perpSlope = -1.0 / slope;\n    float perpYIntercept = pos.y - (perpSlope * pos.x);\n    float lineIntersectX = (yIntercept - perpYIntercept) / (perpSlope - slope);\n    float lineIntersectY = (slope * lineIntersectX) + yIntercept;\n\n    return sqrt(pow(lineIntersectY - pos.y, 2.0) + pow(lineIntersectX - pos.x, 2.0));;\n  }\n\n  bool isBorder(vec2 tl, vec2 tr, vec2 br, vec2 bl, vec2 border_width, vec2 pos) {\n    return distancePointToLine(pos, tl, tr) <= border_width.y ||\n      distancePointToLine(pos, tr, br) <= border_width.x ||\n      distancePointToLine(pos, br, bl) <= border_width.y ||\n      distancePointToLine(pos, bl, tl) <= border_width.x;\n  }\n\n  bool isLeft(vec2 a, vec2 b, vec2 c) {\n    return (b.x - a.x) * (c.y - a.y) > (b.y - a.y) * (c.x - a.x);\n  }\n\n  bool isOutside(vec2 tl, vec2 tr, vec2 br, vec2 bl, vec2 pos) {\n    return isLeft(tl, tr, pos) ||\n      isLeft(tr, br, pos) ||\n      isLeft(br, bl, pos) ||\n      isLeft(bl, tl, pos);\n  }\n\n  void main() {\n    if (isOutside(tl, tr, br, bl, vTextureCoord)) {\n      gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);\n      return;\n    }\n\n    if (isBorder(tl, tr, br, bl, border_width, vTextureCoord)) {\n      gl_FragColor = border_color;\n      return;\n    }\n\n    gl_FragColor = texture2D(sTexture0, aspectCoordinate(vTextureCoord));\n  }\n"},4567);